title: Acelere o desenvolvimento com o GitLab Duo Pro
og_title: Acelere o desenvolvimento com o GitLab Duo Pro
description: >-
  Turbine sua codificação com a IA generativa. Proteção do código-fonte, integração com o IDE, compatibilidade com vários idiomas e muito mais! Comece a usar por apenas $ 9/mês. Fale com a gente agora.
twitter_description: >-
  Turbine sua programação com a IA generativa. Proteção do código-fonte, integração com o IDE, compatibilidade com vários idiomas e muito mais! Comece a usar por apenas $ 9/mês. Fale com a gente agora.
image_title: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
og_description: >-
  Turbine sua programação com a IA generativa. Proteção do código-fonte, integração com o IDE, compatibilidade com vários idiomas e muito mais! Comece a usar por apenas $ 9/mês. Fale com a gente agora mesmo.
og_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
twitter_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
aiContent:
  aiCard:
    eyebrow: IA agentiva
    title: IA agentiva segura e de nível empresarial
    body: >-
      A IA agentiva está transformando o desenvolvimento de software, permitindo que os desenvolvedores criem softwares em uma escala inimaginável, mas também levantando questões importantes sobre visibilidade e segurança. A plataforma DevSecOps do GitLab tem tudo o que você precisa para acelerar o processo de desenvolvimento e garantir a segurança e o controle.
  aiAccordion:
  - header: IA agentiva segura em grande escala
    icon:
      name: ai-vulnerability-resolution
      variant: marketing
      color: '#fff'
    text: >-
     Vá além dos assistentes de código e transforme toda a experiência de desenvolvimento de software — de análises de segurança a processos de implantação — com a IA agentiva combinada à mais abrangente plataforma DevSecOps.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: secure agentic ai at scale
    data_ga_location: body
  - header: Agentes de IA contextuais
    icon:
      name: ai-git-suggestions
      variant: marketing
      color: '#fff'
    text: >-
      O fluxo de trabalho do GitLab Duo entende todo o contexto do seu ciclo de vida de desenvolvimento de software, desde as tarefas de um desenvolvedor no IDE até as políticas de segurança da empresa, solicitações de merge e muito mais.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: context-aware ai agents
    data_ga_location: body
  - header: Controle e segurança de nível empresarial
    icon:
      name: eye
      variant: marketing
      color: '#fff'
    text: >-
      O fluxo de trabalho do GitLab Duo aproveita os benefícios exclusivos da plataforma DevSecOps mais abrangente, incluindo proteção, segurança e governança de nível empresarial com verificadores de integridade de controle organizacional.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: enterprise-grade control and security
    data_ga_location: body
cards:
  - description: >-
      ##### Apresentamos o Fluxo de Trabalho do GitLab Duo, o futuro do desenvolvimento seguro de software com IA agentiva.


      Com base na mais abrangente plataforma DevSecOps, o GitLab Duo Workflow entende todo o ciclo de vida do desenvolvimento de software e garante a segurança e o controle em toda a empresa.


      **O fluxo de trabalho do GitLab Duo acelera a forma como os desenvolvedores:**
      
      - Fazem o bootstraping de novos projetos de código

      - Modernizam o código

      - Executam tarefas contextuais

      - Criam documentação

      - Melhoram a cobertura de testes

      - E muito mais


      Inscreva-se na lista de espera beta privada para descobrir todas as possibilidades oferecidas por agentes de IA que entendem todo o seu SDLC.

    video: https://player.vimeo.com/video/1059060959?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=584798479
    variant: Default
duoCombinedHero:
  title: O futuro do desenvolvimento seguro de software com IA agentiva
  primaryButton: 
    variant: tertiary
    data_ga_name: cta
    data_ga_location: hero
    text: Inscreva-se agora
    href: '#form'
    icon: 
      name: arrow-down
      variant: product

  blurb: Fluxo de trabalho
  id: gitlab-duo-combined-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/2pLToUWGc7Vm7nnD3cuS30/674083fec72cf16a5867d8611032ba30/cb3747f9dbe2e63a8fe7d955f1e58f54.png
form:
  internalName: 28516 (pro form)
  formId: '28516'
  formDataLayer: sales
  registrationClosed: false
  blurb: >
    __Inscreva-se na lista do GitLab Duo Workflow beta__

    Enviaremos uma notificação assim que você puder participar do programa beta do GitLab Duo Workflow.
resources:
  data:
    title: Novidades de IA do GitLab
    column_size: 4
    cards:
      - header: Fique por dentro das novidades sobre IA/ML no GitLab
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/7m9wdMydyUHx9TS6oMqWw3/7e0d0ff4efb8ba2191e9a7131c7007f7/gitlabduo.webp
        link_text: Leia mais
        href: /blog/categories/ai-ml/
        data_ga_name: gitlab-duo-chat-beta
        data_ga_location: cs sale body
        event_type: Blog
      - header: 'Tendências de IA para 2025: IA agentiva, modelos auto-hospedados e muito mais'
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/1JQaFtSzNn8wLh4oeCzO5t/15dc0323234e2e0fad1f9a7cc527b0f0/ai-fireside-chat_2__1_.png
        link_text: Leia mais
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: gitlab-ai-assisted-features
        data_ga_location: body
        event_type: Blog
      - header: Redução da complexidade do desenvolvimento de software com IA
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/6hNLYhTjD4iG3o5zco602y/bdcbac01525ba265578625d65a4620f8/ai-experiment-stars.png
        link_text: Leia mais
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: ai-assisted-code-suggestions
        event_type: Blog
submittedHero:
  title: Agradecemos o seu contato!
  description: Em breve, entraremos em contato para ajudar você a começar a usar o fluxo de trabalho do GitLab Duo.
  id: thank-you-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/6Wyo8uOL4oJC7UI288hGNF/667cb43e43cf809e7f5acd33b40eda72/thankyou-stars-v2.svg
  icon: slp-support